# Uses of Class
org.apache.lucene.internal.hppc.IntIntHashMap

Packages that use IntIntHashMap
Package
Description
org.apache.lucene.internal.hppc
Internal copy of a subset of classes from the HPPC library.

## Uses of IntIntHashMap in org.apache.lucene.internal.hppc

Methods in org.apache.lucene.internal.hppc that return IntIntHashMap
Modifier and Type
Method
Description
`IntIntHashMap`
IntIntHashMap.`clone()`
`static IntIntHashMap`
IntIntHashMap.`from(int[] keys, int[] values)`
Creates a hash map from two index-aligned arrays of key-value pairs.
Methods in org.apache.lucene.internal.hppc with parameters of type IntIntHashMap
Modifier and Type
Method
Description
`protected boolean`
IntIntHashMap.`equalElements(IntIntHashMap other)`
Return true if all keys of some other container exist in this container.
Constructors in org.apache.lucene.internal.hppc with parameters of type IntIntHashMap
Modifier
Constructor
Description
``
`IntIntHashMap(IntIntHashMap map)`
Create a hash map from all key-value pairs of another map.